<?php echo $args['before_widget'] ?>

<?php if( $title ): ?>
	<?php echo $before_title . $title . $after_title ?>
<?php endif ?>

<div class="calp-agenda-widget-view">

	<?php if( ! $dates ): ?>
		<p class="calp-no-results">
			<?php _e( 'There are no upcoming events.', CALP_PLUGIN_NAME ) ?>
		</p>
	<?php else: ?>
		<ol>
			<?php foreach( $dates as $timestamp => $date_info ): ?>
				<li class="calp-date <?php if( isset( $date_info['today'] ) && $date_info['today'] ) echo 'calp-today' ?>">
					<h3 class="calp-date-title">
						<div class="calp-month"><?php echo date_i18n( 'M', $timestamp, true ) ?></div>
						<div class="calp-day"><?php echo date_i18n( 'j', $timestamp, true ) ?></div>
						<div class="calp-weekday"><?php echo date_i18n( 'D', $timestamp, true ) ?></div>
					</h3>
					<ol class="calp-date-events">
						<?php foreach( $date_info['events'] as $category ): ?>
							<?php foreach( $category as $event ): ?>
								<li class="calp-event
									calp-event-id-<?php echo $event->post_id ?>
									calp-event-instance-id-<?php echo $event->instance_id ?>
									<?php if( $event->allday ) echo 'calp-allday' ?>">

									<?php // Insert post ID for use by JavaScript filtering later ?>
									<input type="hidden" class="calp-post-id" value="<?php echo $event->post_id ?>" />

									<a href="<?php echo esc_attr( get_permalink( $event->post_id ) ) . $event->instance_id ?>">
										<?php if( $event->category_colors ): ?>
											<span class="calp-category-colors"><?php echo $event->category_colors ?></span>
										<?php endif ?>
										<?php if( ! $event->allday ): ?>
											<span class="calp-event-time">
												<?php echo esc_html( $event->start_time ) ?></span>
											</span>
										<?php endif ?>
										<span class="calp-event-title">
											<?php echo esc_html( apply_filters( 'the_title', $event->post->post_title ) ) ?>
										</span>
									</a>

								</li>
							<?php endforeach ?>
						<?php endforeach ?>
					</ol>
				</li>
			<?php endforeach ?>
		</ol>
	<?php endif ?>


	<?php if( $show_calendar_button ): ?>
		<a class="calp-button calp-calendar-link" href="<?php echo $calendar_url ?>">
			<?php _e( 'View Calendar »', CALP_PLUGIN_NAME ) ?>
		</a>
	<?php endif ?>

	<?php if( $show_subscribe_buttons ): ?>
		<div class="calp-subscribe-buttons">
			<a class="calp-button calp-subscribe"
				href="<?php echo $subscribe_url ?>"
				title="<?php _e( 'Subscribe to this calendar using your favourite calendar program (iCal, Outlook, etc.)', CALP_PLUGIN_NAME ) ?>" />
				<?php _e( '✔ Subscribe', CALP_PLUGIN_NAME ) ?>
			</a>
			<a class="calp-button calp-subscribe-google" target="_blank"
				href="http://www.google.com/calendar/render?cid=<?php echo urlencode( str_replace( 'webcal://', 'http://', $subscribe_url ) ) ?>"
				title="<?php _e( 'Subscribe to this calendar in your Google Calendar', CALP_PLUGIN_NAME ) ?>" />
				<img src="<?php echo CALP_IMAGE_URL ?>/google-calendar.png" />
				<?php _e( 'Add to Google', CALP_PLUGIN_NAME ) ?>
			</a>
		</div>
	<?php endif ?>

</div>

<?php echo $args['after_widget'] ?>
